Module org.hsqldb
Package org.hsqldb.lib

## Interface RefCapableRBInterface

- All Known Implementing Classes:
    `RB`

      public interface RefCapableRBInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getExpandedString()` |
    `java.lang.String` | `getExpandedString​(java.lang.String... strings)` |
    `java.lang.String` | `getString()` |
    `java.lang.String` | `getString​(int i1)` |
    `java.lang.String` | `getString​(int i1, int i2)` |
    `java.lang.String` | `getString​(int i1, int i2, int i3)` |
    `java.lang.String` | `getString​(int i1, int i2, java.lang.String s3)` |
    `java.lang.String` | `getString​(int i1, java.lang.String s2)` |
    `java.lang.String` | `getString​(int i1, java.lang.String s2, int i3)` |
    `java.lang.String` | `getString​(int i1, java.lang.String s2, java.lang.String s3)` |
    `java.lang.String` | `getString​(java.lang.String... strings)` |
    `java.lang.String` | `getString​(java.lang.String s1, int i2)` |
    `java.lang.String` | `getString​(java.lang.String s1, int i2, int i3)` |
    `java.lang.String` | `getString​(java.lang.String s1, int i2, java.lang.String s3)` |
    `java.lang.String` | `getString​(java.lang.String s1, java.lang.String s2, int i3)` |

- - ### Method Detail

    - #### getString

          java.lang.String getString()

    - #### getString

          java.lang.String getString​(java.lang.String... strings)

    - #### getExpandedString

          java.lang.String getExpandedString()

    - #### getExpandedString

          java.lang.String getExpandedString​(java.lang.String... strings)

    - #### getString

          java.lang.String getString​(int i1)

    - #### getString

          java.lang.String getString​(int i1,
                                     int i2)

    - #### getString

          java.lang.String getString​(int i1,
                                     int i2,
                                     int i3)

    - #### getString

          java.lang.String getString​(int i1,
                                     java.lang.String s2)

    - #### getString

          java.lang.String getString​(java.lang.String s1,
                                     int i2)

    - #### getString

          java.lang.String getString​(int i1,
                                     int i2,
                                     java.lang.String s3)

    - #### getString

          java.lang.String getString​(int i1,
                                     java.lang.String s2,
                                     int i3)

    - #### getString

          java.lang.String getString​(java.lang.String s1,
                                     int i2,
                                     int i3)

    - #### getString

          java.lang.String getString​(int i1,
                                     java.lang.String s2,
                                     java.lang.String s3)

    - #### getString

          java.lang.String getString​(java.lang.String s1,
                                     java.lang.String s2,
                                     int i3)

    - #### getString

          java.lang.String getString​(java.lang.String s1,
                                     int i2,
                                     java.lang.String s3)